Deploy SessionManager and bot passwords
Closed, ResolvedPublic

Description

  • merge Brad's commits
  • test on Beta
  • create production DB - probably on metawiki, per https://gerrit.wikimedia.org/r/#/c/259066/ comment Dec 15 09:54
  • create non-SUL DBs or disable bot passords on those wikis for now
  • config patch for central bot password DB on prod
  • bot password announcement
  • SessionManager announcement
  • watch beta & prod metrics

Related Objects

StatusAssignedTask
OpenNone
ResolvedAnomie
ResolvedAnomie
ResolvedTgr
ResolvedTgr
ResolvedLegoktm
ResolvedAnomie
OpenNone
OpenNone
ResolvedAnomie
Resolvedbd808
ResolvedAnomie
Resolvedbd808
ResolvedAnomie
OpenNone
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
DeclinedNone
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
ResolvedTgr
ResolvedAnomie
Resolvedori
Resolvedcsteipp
ResolvedTgr
Resolvedbd808
DeclinedNone
Opendduvall
ResolvedTgr
ResolvedTgr
ResolvedAnomie
DuplicateNone
ResolvedAnomie
Resolvedbd808
ResolvedTgr
InvalidAnomie
OpenNone
There are a very large number of changes, so older changes are hidden. Show Older Changes
Tgr edited the task description. (Show Details)Jan 13 2016, 11:50 PM
Tgr edited the task description. (Show Details)

Change 263804 merged by jenkins-bot:
Configure bot passwords

https://gerrit.wikimedia.org/r/263804

Tgr edited the task description. (Show Details)Jan 14 2016, 12:27 AM
Anomie edited the task description. (Show Details)Jan 20 2016, 4:33 PM

I'm going to mark this as resolved, since "watch metrics" is really something for post-deployment.

Anomie closed this task as "Resolved".Jan 20 2016, 4:33 PM
Anomie claimed this task.
Tgr reopened this task as "Open".Jan 23 2016, 3:28 AM

This week's deployment was rolled back unfortunately, so we can as well as reopen this.

bd808 added a subscriber: bd808.Jan 24 2016, 5:46 AM
Tgr added a subtask: Restricted Task.Jan 29 2016, 2:15 AM
Luke081515 closed this task as "Resolved".Jan 29 2016, 3:03 PM
Luke081515 added a subscriber: Luke081515.

Group 2 deployed yesterday.

bd808 reopened this task as "Open".Jan 29 2016, 4:37 PM

Group 2 deployed yesterday.

It certainly did, but we have a few cleanup tasks still to stay on top of as the blockers for this task show.

bd808 triaged this task as "High" priority.Feb 11 2016, 1:10 AM
Anomie closed this task as "Resolved".Mar 14 2016, 5:54 PM

This is obviously resolved since SessionManager had been deployed for about a month now.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 5:13 PM
Bawolff closed subtask Restricted Task as "Resolved".Jun 27 2016, 9:35 AM